### Constructor

# GtkSource Mark new

#### Declaration [src]

    GtkSourceMark*
    gtk_source_mark_new (
      const gchar* name,
      const gchar* category
    )

#### Description [src]

Creates a text mark.

Add it to a buffer using `gtk_text_buffer_add_mark()`. If name is NULL, the mark is anonymous; otherwise, the mark can be retrieved by name using `gtk_text_buffer_get_mark()`. Normally marks are created using the utility function `gtk_source_buffer_create_source_mark()`.

#### Parameters

`name`

  Type: `const gchar*`

  Name of the `GtkSourceMark` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`category`

  Type: `const gchar*`

  Is used to classify marks according to common characteristics (e.g. all the marks representing a bookmark could belong to the “bookmark” category, or all the marks representing a compilation error could belong to “error” category).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkSourceMark`

A new `GtkSourceMark` that can be added using `gtk_text_buffer_add_mark()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.